import type { JSONValue } from '@aws-lambda-powertools/commons/types';
/**
 * Recursively sorts the keys of an object or elements of an array.
 *
 * This function sorts the keys of any JSON in a case-insensitive manner and recursively applies the same sorting to
 * nested objects and arrays. Primitives (strings, numbers, booleans, null) are returned unchanged.
 *
 * @param {JSONValue} data - The input data to be sorted, which can be an object, array or primitive value.
 * @returns {JSONValue} - The sorted data, with all object's keys sorted alphabetically in a case-insensitive manner.
 */
declare const deepSort: (data: JSONValue) => JSONValue;
export { deepSort };
//# sourceMappingURL=deepSort.d.ts.map